//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace Rikai.PRISM.WPF
{
    using System;
    using System.Collections.Generic;
    
    public partial class wrkWeeklyStandardKomaSum
    {
        public Nullable<long> SEQNUM { get; set; }
        public int HouseCd { get; set; }
        public string HouseName { get; set; }
        public byte Month { get; set; }
        public byte Week { get; set; }
        public Nullable<System.DateTime> StartDate { get; set; }
        public Nullable<System.DateTime> EndDate { get; set; }
        public string BlockCd { get; set; }
        public string PupilCd1 { get; set; }
        public string PupilCd2 { get; set; }
        public string PupilCd3 { get; set; }
        public string PupilCd4 { get; set; }
        public string PupilCd5 { get; set; }
        public string PupilCd6 { get; set; }
        public string PupilCd7 { get; set; }
        public string PupilCd8 { get; set; }
        public string PupilCd9 { get; set; }
        public string PupilCd10 { get; set; }
        public string PupilCd11 { get; set; }
        public string PupilCd12 { get; set; }
        public string PupilCd13 { get; set; }
        public string PupilCd14 { get; set; }
        public string PupilCd15 { get; set; }
        public string PupilCd16 { get; set; }
        public string PupilCd17 { get; set; }
        public string PupilCd18 { get; set; }
        public string PupilCd19 { get; set; }
        public string PupilCd20 { get; set; }
        public string PupilCd21 { get; set; }
        public string PupilCd22 { get; set; }
        public Nullable<short> SubjectCd1 { get; set; }
        public Nullable<short> SubjectCd2 { get; set; }
        public Nullable<short> SubjectCd3 { get; set; }
        public Nullable<short> SubjectCd4 { get; set; }
        public Nullable<short> SubjectCd5 { get; set; }
        public Nullable<short> SubjectCd6 { get; set; }
        public Nullable<short> SubjectCd7 { get; set; }
        public Nullable<short> SubjectCd8 { get; set; }
        public Nullable<short> SubjectCd9 { get; set; }
        public Nullable<short> SubjectCd10 { get; set; }
        public Nullable<short> SubjectCd11 { get; set; }
        public Nullable<short> SubjectCd12 { get; set; }
        public Nullable<short> SubjectCd13 { get; set; }
        public Nullable<short> SubjectCd14 { get; set; }
        public Nullable<short> SubjectCd15 { get; set; }
        public Nullable<short> SubjectCd16 { get; set; }
        public Nullable<short> SubjectCd17 { get; set; }
        public Nullable<short> SubjectCd18 { get; set; }
        public Nullable<short> SubjectCd19 { get; set; }
        public Nullable<short> SubjectCd20 { get; set; }
        public Nullable<short> SubjectCd21 { get; set; }
        public Nullable<short> SubjectCd22 { get; set; }
        public Nullable<byte> Sign1 { get; set; }
        public Nullable<byte> Sign2 { get; set; }
        public Nullable<byte> Sign3 { get; set; }
        public Nullable<byte> Sign4 { get; set; }
        public Nullable<byte> Sign5 { get; set; }
        public Nullable<byte> Sign6 { get; set; }
        public Nullable<byte> Sign7 { get; set; }
        public Nullable<byte> Sign8 { get; set; }
        public Nullable<byte> Sign9 { get; set; }
        public Nullable<byte> Sign10 { get; set; }
        public Nullable<byte> Sign11 { get; set; }
        public Nullable<byte> Sign12 { get; set; }
        public Nullable<byte> Sign13 { get; set; }
        public Nullable<byte> Sign14 { get; set; }
        public Nullable<byte> Sign15 { get; set; }
        public Nullable<byte> Sign16 { get; set; }
        public Nullable<byte> Sign17 { get; set; }
        public Nullable<byte> Sign18 { get; set; }
        public Nullable<byte> Sign19 { get; set; }
        public Nullable<byte> Sign20 { get; set; }
        public Nullable<byte> Sign21 { get; set; }
        public Nullable<byte> Sign22 { get; set; }
        public string StdCourseStatus1 { get; set; }
        public string StdCourseStatus2 { get; set; }
        public string StdCourseStatus3 { get; set; }
        public string StdCourseStatus4 { get; set; }
        public string StdCourseStatus5 { get; set; }
        public string StdCourseStatus6 { get; set; }
        public string StdCourseStatus7 { get; set; }
        public string StdCourseStatus8 { get; set; }
        public string StdCourseStatus9 { get; set; }
        public string StdCourseStatus10 { get; set; }
        public string StdCourseStatus11 { get; set; }
        public string StdCourseStatus12 { get; set; }
        public string StdCourseStatus13 { get; set; }
        public string StdCourseStatus14 { get; set; }
        public string StdCourseStatus15 { get; set; }
        public string StdCourseStatus16 { get; set; }
        public string StdCourseStatus17 { get; set; }
        public string StdCourseStatus18 { get; set; }
        public string StdCourseStatus19 { get; set; }
        public string StdCourseStatus20 { get; set; }
        public string StdCourseStatus21 { get; set; }
        public string StdCourseStatus22 { get; set; }
    }
}
